List eUICCs

Pre-release
List all eUICCs for your organization. Use filter parameters to search for specific eUICCs and sort to order the response list.

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session. To obtain an auth_token, see the POST request to /api/v1/authenticate.

Query parameters

pageintegerOptional>=1Defaults to 1

Page number (1-based).

per_pageintegerOptional1-1000Defaults to 100
Items per page.
qstringOptionalformat: "^(?:\s*(id|eid|supported_profile_type|status|eim)\:[^,]+)(?:\s*,\s*(id|eid|supported_profile_type|status|eim)\:[^,]+)*\s*$"
Filter parameter in `<field>:<criteria>` format. Expects a comma-separated list from the allowed fields: - `id` - `eid` - `supported_profile_type` - `status` - `eim`
sortstringOptionalformat: "^(?:-?(id|eid|modified|supported_profile_type|status|eim))(?:\s*,\s*-?(id|eid|modified|supported_profile_type|status|eim))*$"
Sort properties according to a comma separated list from the allowed fields (prefix with `-` for descending): - `id` - `eid` - `modified` - `supported_profile_type` - `status` - `eim`

Response

List of eUICCs
idinteger
eidstringformat: "^89[0-9]{30}$"
createdstringformat: "date-time"
profilelist of objects
issuer_orgobject
customer_orgobject
supported_profile_typeobject
statusobject
last_auditedstring or nullformat: "date-time"
last_polledstring or nullformat: "date-time"
last_syncedstring or nullformat: "date-time"
eimobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error